<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.business.version.mapper.VersionInfoMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="versionInfoResultMap"
               type="org.springblade.modules.business.version.entity.VersionInfoEntity">
        <result column="app_id" property="appId"/>
        <result column="version" property="version"/>
        <result column="app_path" property="appPath"/>
        <result column="app_name" property="appName"/>
        <result column="version_note" property="versionNote"/>
    </resultMap>
    
    <select id="selectPage" resultMap="versionInfoResultMap">
        SELECT
        o.*
        FROM
        version_info o
        WHERE 1=1
        order by o.create_time desc
    </select>

</mapper>
